Skip to content

getSalesOrderCustomerDetails

READ

Get sales order customer details.

POST /api/v1/sales/getSalesOrderCustomerDetails
curl -X POST '<your-host>/api/v1/sales/getSalesOrderCustomerDetails' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesOrderId": "string"
  }'
Response
{
  "customerAddressLine1": "string",
  "customerAddressLine2": "string",
  "customerCity": "string",
  "customerCountryCode": "string",
  "customerCountryName": "string",
  "customerEori": "string",
  "customerName": "string",
  "customerPostalCode": "string",
  "customerStateProvince": "string",
  "customerTaxId": "string",
  "customerVatNumber": "string",
  "id": "string",
  "paymentAddressLine1": "string",
  "paymentAddressLine2": "string",
  "paymentCity": "string",
  "paymentCountryCode": "string",
  "paymentCountryName": "string",
  "paymentCustomerName": "string",
  "paymentPostalCode": "string",
  "paymentStateProvince": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesOrderId": {
      "type": "string"
    }
  },
  "required": [
    "salesOrderId"
  ]
}